@import url( 'bootstrap.min.css' );
@font-face {
    font-family: 'Vazir';
    src: url( '../fonts/Vazir.woff2' ) format( 'woff2' );
    font-weight: normal;
}
@font-face {
    font-family: 'Vazir';
    src: url( '../fonts/Vazir-Bold.woff2' ) format( 'woff2' );
    font-weight: bold;
}
html, body {
    height: 100%;
    min-height: 100%;
}
body {
    font-family: 'Vazir', 'Source Code Pro', sans-serif;
    direction: rtl;
}
#site {
    display: flex;
    flex-direction: column;
}
#header {
    width: 100%;
    height: 50vh;
    background-color: #21D4FD;
    background-image: linear-gradient(19deg, #21D4FD 0%, #B721FF 100%);
    
    background-attachment: fixed;
    color: #fff;  
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    flex-shrink: 0;
}
#logo {
    color: #fff;
    border: 5px solid #fff;
    padding: 6px;
    border-radius: 5px;
    transition: .3s all ease-out;
}
#logo:hover {
    color: #856CFE;
    background-color: #fff;
    transition: .3s all ease-out;
    text-decoration: none;
}
#subtitle {
    font-size: 1.3em;
    font-weight: bold;
    margin-top: 25px;
}
#main {
    padding: 10px 0;
    flex: 1;
    flex-shrink: 1;
}
#footer {
    width: 100%;
    background-color: #eee;
    border-top: 1px solid #aaa;
    padding: 3px 0;
    flex-shrink: 1;
}

.tag-list {
    list-style: none;
}
.tag-list li {
    display: inline-block;
    background: #e5e5e5;
    border-radius: 3px;
    padding: 1px 4px;
    margin: 3px;
}
.tag-list li .tag-list-count {
    display: inline-block;
    border-radius: 16px;
    font-size: 14px;
    margin: 0 3px;
    line-height: 1.4;
    text-align: center;
    width: 16px;
    height: 16px;
    background-color: #b9b9b9;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
}

figure.highlight,code,pre {
    direction: ltr;
    text-align: left;
    font-family: 'Source Code Pro', monospace;
}
pre {
    border: none;
}

/**
* xonokai theme for JavaScript, CSS and HTML
* based on: https://github.com/MoOx/sass-prism-theme-base by Maxime Thirouin ~ MoOx --> http://moox.fr/ , which is Loosely based on Monokai textmate theme by http://www.monokai.nl/
* license: MIT; http://moox.mit-license.org/
*/
code[class*="language-"],
pre[class*="language-"] {
    -moz-tab-size: 2;
    -o-tab-size: 2;
    tab-size: 2;
    -webkit-hyphens: none;
    -moz-hyphens: none;
    -ms-hyphens: none;
    hyphens: none;
    white-space: pre;
    white-space: pre-wrap;
    word-wrap: normal;
    font-family: Menlo, Monaco, "Courier New", monospace;
    font-size: 14px;
    color: #76d9e6;
    text-shadow: none;
}
pre[class*="language-"],
:not(pre)>code[class*="language-"] {
    background: #2a2a2a;
}
pre[class*="language-"] {
    padding: 15px;
    border-radius: 4px;
    border: 1px solid #e1e1e8;
    overflow: auto;
}

pre[class*="language-"] {
    position: relative;
}
pre[class*="language-"] code {
    white-space: pre;
    display: block;
}

:not(pre)>code[class*="language-"] {
    padding: 0.15em 0.2em 0.05em;
    border-radius: .3em;
    border: 0.13em solid #7a6652;
    box-shadow: 1px 1px 0.3em -0.1em #000 inset;
}
.token.namespace {
    opacity: .7;
}
.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
    color: #6f705e;
}
.token.operator,
.token.boolean,
.token.number {
    color: #a77afe;
}
.token.attr-name,
.token.string {
    color: #e6d06c;
}
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string {
    color: #e6d06c;
}
.token.selector,
.token.inserted {
    color: #a6e22d;
}
.token.atrule,
.token.attr-value,
.token.keyword,
.token.important,
.token.deleted {
    color: #ef3b7d;
}
.token.regex,
.token.statement {
    color: #76d9e6;
}
.token.placeholder,
.token.variable {
    color: #fff;
}
.token.important,
.token.statement,
.token.bold {
    font-weight: bold;
}
.token.punctuation {
    color: #bebec5;
}
.token.entity {
    cursor: help;
}
.token.italic {
    font-style: italic;
}

code.language-markup {
    color: #f9f9f9;
}
code.language-markup .token.tag {
    color: #ef3b7d;
}
code.language-markup .token.attr-name {
    color: #a6e22d;
}
code.language-markup .token.attr-value {
    color: #e6d06c;
}
code.language-markup .token.style,
code.language-markup .token.script {
    color: #76d9e6;
}
code.language-markup .token.script .token.keyword {
    color: #76d9e6;
}

/* Line highlight plugin */
pre[class*="language-"][data-line] {
    position: relative;
    padding: 1em 0 1em 3em;
}
pre[data-line] .line-highlight {
    position: absolute;
    left: 0;
    right: 0;
    padding: 0;
    margin-top: 1em;
    background: rgba(255, 255, 255, 0.08);
    pointer-events: none;
    line-height: inherit;
    white-space: pre;
}
pre[data-line] .line-highlight:before,
pre[data-line] .line-highlight[data-end]:after {
    content: attr(data-start);
    position: absolute;
    top: .4em;
    left: .6em;
    min-width: 1em;
    padding: 0.2em 0.5em;
    background-color: rgba(255, 255, 255, 0.4);
    color: black;
    font: bold 65%/1 sans-serif;
    height: 1em;
    line-height: 1em;
    text-align: center;
    border-radius: 999px;
    text-shadow: none;
    box-shadow: 0 1px 1px rgba(255, 255, 255, 0.7);
}
pre[data-line] .line-highlight[data-end]:after {
    content: attr(data-end);
    top: auto;
    bottom: .4em;
}